### Method

# Adw ViewSwitcherTitleset_title

deprecated: 1.4

#### Declaration [src]

    void
    adw_view_switcher_title_set_title (
      AdwViewSwitcherTitle* self,
      const char* title
    )

#### Description [src]

Sets the title of `self`.

The title typically identifies the current view or content item, and generally does not use the application name.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.ViewSwitcherTitle:title`

#### Parameters

`title`

  Type: `const char*`

  A title.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.